
PENGADIAN EMAS - Bug #15834

[UAT][IOS][M2U Direct Debit] transaction not display in the transaction history ###9952

23 February 2023 12:50 PM - yap chekying

Status: Closed Start date: 23 February 2023

Priority: Urgent Due date:  

Assignee: Daniel Wong % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue: transaction direct debit not display in the transaction history, debit process every Wednesday and 22nd Feb

History

#1 - 23 February 2023 02:49 PM - He Xi Yeo

- Assignee changed from He Xi Yeo to santhosh Krishna

#2 - 23 February 2023 02:50 PM - He Xi Yeo

Please help check emas/dashboard/getTrxHistory to see why it's not returning .

#3 - 01 March 2023 07:37 PM - Daniel Wong

- Status changed from New to Closed

- Assignee changed from santhosh Krishna to Daniel Wong

All 3 contract failed at Pegadaian inqury, thus the result is expected to not show in transaction history

{"responseMsg":{"responseCode":"68","responseDetail":{"responseCode":"500","responseData":"System Gagal Memproses

Request","errorOrigin":"PEGADAIAN"}}}

Batch Job Purchase Emas - 41

22-02-2023 12:50:47 [Batch Job Purchase Emas - 41] INFO  com.maybank.ddebit.scheduler.task.PurchaseEmasTranx - Purchase Emas Tranx

Process

-------%%%[Batch Job Purchase Emas - 41][Contract account no :

8003930340][{"id":639,"purchaseEmasDomain":{"id":2,"billerCode":"1070","billerName":"Pegadaian

Emas","purchaseType":"01","ccyCode":"016","acctNum":"0241003032","adminFee":6000,"statusBiller":1,"channelBranch":1,"channelM2u":1,"cycleMo

de":1,"branchNo":"270","exeFrom":"02","exeTo":"30","runningFrom":"12:50","runningTo":"23:59","status":1,"createdBy":"UAMSPV1","updatedBy":"UA

MSPV1","creationDate":"Nov 1, 2022 9:49:04 AM","updatedDate":"Feb 8, 2023 1:29:11 PM","approvalBy":"UAMSPV1","approvalDate":"Feb 8, 2023

1:29:18

PM","approvalStatus":1,"toDisplay":1,"refNumber":"276527263"},"queryFilter":"[nTime:12:50][effectiveDay:2023-02-22][processDay:2023-02-22][lastp

aymentDate:Wed Feb 01 00:00:00 WIB

2023]","cif":"0012110443","billerCode":"1070","accountStatus":1,"accountNumber":"8003930340","accountName":"U Transaction

Account","subscriberId":"1283523620000130","productType":"Gold","totalPurchase":2799000,"mobileNo":"08123654321","email":"

m2u.revamp2@maylab.net

","channel":"2","lastPaymentStatus":"PROCESSING","recurringType":30,"recurringDayDate":"22","balanceRecurring":0,"totalRecurring":12,"currency

Code":"016","status":1,"creationDate":"Feb 21, 2023 5:32:40 PM","approvalStatus":1,"toDisplay":1,"refNumber":"63961751408","recurringName":"Beli

Emas"}][filter : [nTime:12:50][effectiveDay:2023-02-22][processDay:2023-02-22][lastpaymentDate:Wed Feb 01 00:00:00 WIB 2023]]

22-02-2023 12:50:47 [Batch Job Purchase Emas - 41] INFO  com.maybank.ddebit.scheduler.task.PurchaseEmasTranx - Response Get Emas Inquiry

: {"responseMsg":{"responseCode":"68","responseDetail":{"responseCode":"500","responseData":"System Gagal Memproses

Request","errorOrigin":"PEGADAIAN"}}}

Batch Job Purchase Emas - 44

22-02-2023 12:50:47 [Batch Job Purchase Emas - 44] INFO  com.maybank.ddebit.scheduler.task.PurchaseEmasTranx - Purchase Emas Tranx

Process

-------%%%[Batch Job Purchase Emas - 44][Contract account no :

8003930340][{"id":641,"purchaseEmasDomain":{"id":2,"billerCode":"1070","billerName":"Pegadaian

Emas","purchaseType":"01","ccyCode":"016","acctNum":"0241003032","adminFee":6000,"statusBiller":1,"channelBranch":1,"channelM2u":1,"cycleMo

de":1,"branchNo":"270","exeFrom":"02","exeTo":"30","runningFrom":"12:50","runningTo":"23:59","status":1,"createdBy":"UAMSPV1","updatedBy":"UA

MSPV1","creationDate":"Nov 1, 2022 9:49:04 AM","updatedDate":"Feb 8, 2023 1:29:11 PM","approvalBy":"UAMSPV1","approvalDate":"Feb 8, 2023

1:29:18

PM","approvalStatus":1,"toDisplay":1,"refNumber":"276527263"},"queryFilter":"[nTime:12:50][effectiveDay:2023-02-22][processDay:2023-02-22][lastp

aymentDate:Wed Feb 01 00:00:00 WIB

2023]","cif":"0012110443","billerCode":"1070","accountStatus":1,"accountNumber":"8003930340","accountName":"U Transaction
Account","subscriberId":"1283523620000130","productType":"Gold","totalPurchase":933000,"mobileNo":"08123654321","email":"

m2u.revamp2@maylab.net

","channel":"2","lastPaymentStatus":"PROCESSING","recurringType":30,"recurringDayDate":"22","balanceRecurring":0,"totalRecurring":12,"currency

Code":"016","status":1,"creationDate":"Feb 21, 2023 5:39:06 PM","approvalStatus":1,"toDisplay":1,"refNumber":"64194258435","recurringName":"Beli

Emas"}][filter : [nTime:12:50][effectiveDay:2023-02-22][processDay:2023-02-22][lastpaymentDate:Wed Feb 01 00:00:00 WIB 2023]]

22-02-2023 12:50:50 [Batch Job Purchase Emas - 44] INFO  com.maybank.ddebit.scheduler.task.PurchaseEmasTranx - Response Get Emas Inquiry

: {"responseMsg":{"responseCode":"68","responseDetail":{"responseCode":"500","responseData":"System Gagal Memproses

Request","errorOrigin":"PEGADAIAN"}}}

Batch Job Purchase Emas - 48

22-02-2023 12:50:47 [Batch Job Purchase Emas - 48] INFO  com.maybank.ddebit.scheduler.task.PurchaseEmasTranx - Purchase Emas Tranx

Process

-------%%%[Batch Job Purchase Emas - 48][Contract account no :

8003930340][{"id":640,"purchaseEmasDomain":{"id":2,"billerCode":"1070","billerName":"Pegadaian

Emas","purchaseType":"01","ccyCode":"016","acctNum":"0241003032","adminFee":6000,"statusBiller":1,"channelBranch":1,"channelM2u":1,"cycleMo

de":1,"branchNo":"270","exeFrom":"02","exeTo":"30","runningFrom":"12:50","runningTo":"23:59","status":1,"createdBy":"UAMSPV1","updatedBy":"UA

MSPV1","creationDate":"Nov 1, 2022 9:49:04 AM","updatedDate":"Feb 8, 2023 1:29:11 PM","approvalBy":"UAMSPV1","approvalDate":"Feb 8, 2023

1:29:18

PM","approvalStatus":1,"toDisplay":1,"refNumber":"276527263"},"queryFilter":"[nTime:12:50][effectiveDay:2023-02-22][processDay:2023-02-22][lastp

aymentDate:Wed Feb 22 00:00:00 WIB

2023]","cif":"0012110443","billerCode":"1070","accountStatus":1,"accountNumber":"8003930340","accountName":"U Transaction

Account","subscriberId":"1283523620000130","productType":"Gold","totalPurchase":1866000,"mobileNo":"08123654321","email":"

m2u.revamp2@maylab.net

","channel":"2","lastPaymentStatus":"PROCESSING","recurringType":7,"recurringDayDate":"3","balanceRecurring":0,"totalRecurring":10,"currencyCo

de":"016","status":1,"creationDate":"Feb 21, 2023 5:38:03 PM","approvalStatus":1,"toDisplay":1,"refNumber":"64065711665","recurringName":"Beli

Emas"}][filter : [nTime:12:50][effectiveDay:2023-02-22][processDay:2023-02-22][lastpaymentDate:Wed Feb 22 00:00:00 WIB 2023]]

22-02-2023 12:50:50 [Batch Job Purchase Emas - 48] INFO  com.maybank.ddebit.scheduler.task.PurchaseEmasTranx - Response Get Emas Inquiry

: {"responseMsg":{"responseCode":"68","responseDetail":{"responseCode":"500","responseData":"System Gagal Memproses

Request","errorOrigin":"PEGADAIAN"}}}
